"use client";
import { isValidElement as f } from "react";
import { isEventKey as a } from "./excludeEventProps.js";
var u = ["viewBox", "children"], o = ["points", "pathLength"], d = {
  svg: u,
  polygon: o,
  polyline: o
}, E = (e, r) => {
  if (!e || typeof e == "function" || typeof e == "boolean")
    return null;
  var t = e;
  if (/* @__PURE__ */ f(e) && (t = e.props), typeof t != "object" && typeof t != "function")
    return null;
  var n = {};
  return Object.keys(t).forEach((l) => {
    a(l) && (n[l] = ((i) => t[l](t, i)));
  }), n;
}, v = (e, r, t) => (n) => (e(r, t, n), null), m = (e, r, t) => {
  if (e === null || typeof e != "object" && typeof e != "function")
    return null;
  var n = null;
  return Object.keys(e).forEach((l) => {
    var i = e[l];
    a(l) && typeof i == "function" && (n || (n = {}), n[l] = v(i, r, t));
  }), n;
};
export {
  d as FilteredElementKeyMap,
  E as adaptEventHandlers,
  m as adaptEventsOfChild
};
